Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ComponentControlHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.FaceletsAttachedObjectHandler
                      javax.faces.view.facelets.BehaviorHandler
                          org.richfaces.view.facelets.html.CustomBehaviorHandler
                              org.richfaces.taglib.ComponentControlHandler

All Implemented Interfaces:
  javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

    public class ComponentControlHandler

extends CustomBehaviorHandler

Author:
  Anton Belevich

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ComponentControlHandler(javax.faces.view.facelets.BehaviorConfig config)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
`boolean` | `isWrapping()`

Methods inherited from class org.richfaces.view.facelets.html.CustomBehaviorHandler
`getMetaRules, getTagHandlerDelegate, isWrappingAttachQueue`

Methods inherited from class javax.faces.view.facelets.BehaviorHandler
`getBehaviorId, getEvent, getEventName`

Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler
`applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.view.AttachedObjectHandler
`applyAttachedObject, getFor`

Constructor Detail

### ComponentControlHandler

    public ComponentControlHandler(javax.faces.view.facelets.BehaviorConfig config)

Method Detail

### apply

    public void apply(javax.faces.view.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException

  Specified by:
    `apply` in interface `javax.faces.view.facelets.FaceletHandler`
  Overrides:
    `apply` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
  Throws:
    `java.io.IOException`

### isWrapping

    public boolean isWrapping()

  Overrides:
    `isWrapping` in class `CustomBehaviorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.